using Microsoft.AspNetCore.Components.WebView.WindowsForms;
using Microsoft.Extensions.DependencyInjection;
using MyComponents;
namespace WinFormsApp
{
    public partial class Form1 : Form, IDataArgs
    {
        public Form1()
        {
            InitializeComponent();

            var services = new ServiceCollection();
            services.AddWindowsFormsBlazorWebView();
            services.AddTransient<IDataArgs>(_ => this);


            blazorWebView1.HostPage = "wwwroot\\index.html";
            blazorWebView1.Services = services.BuildServiceProvider();
            blazorWebView1.RootComponents.Add<Counter>("#app");

            LastName = "Schmidt";
            ID = 456;


            //blazorWebView2.HostPage = "wwwroot\\index.html";
            //blazorWebView2.Services = services.BuildServiceProvider();
            //blazorWebView2.RootComponents.Add<Counter>("#app");
        }

        public string LastName { get; set; }
        public int ID { get; set; }
    }
}